Bug 1200510 - Title bar is transparent in screenshots
Summary: Title bar is transparent in screenshots
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 17:28 UTC by Conley Moorhous
Modified: 2015-07-27 23:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-27 23:45:10 UTC
Type: Bug


Attachments (Terms of Use)
Blank workspace with transparent top bar (1.30 MB, image/png)
2015-03-10 17:28 UTC, Conley Moorhous
no flags Details
Busy workspace with title bar missing (129.05 KB, image/png)
2015-03-10 17:28 UTC, Conley Moorhous
no flags Details
Workspace with settings box selected and title bar visible (154.81 KB, image/png)
2015-03-10 17:29 UTC, Conley Moorhous
no flags Details
Workspace with calendar/time box selected (5.90 KB, image/png)
2015-03-10 17:30 UTC, Conley Moorhous
no flags Details
Applications overview with title bar visible (762.67 KB, image/png)
2015-03-10 17:30 UTC, Conley Moorhous
no flags Details

Description Conley Moorhous 2015-03-10 17:28:01 UTC
Created attachment 1000079 [details]
Blank workspace with transparent top bar

Description of problem: The top (title) bar is transparent in screenshots taken via Gnome (press Print Screen button while using gnome-shell). Notably, if I click on the settings box (in the corner), the whole top bar is now visible in screenshots. In the Applications overview, the title bar is visible. If I select the calendar, everything is transparent except for the "Add world clocks..." text entry area. See attached screenshots.


Version-Release number of selected component (if applicable): 3.15.91


How reproducible: Always


Steps to Reproduce:
1. Take screenshot by pressing Print Screen button
2. Look at screenshot; there is a transparent area at the top rather than the title bar.
3.

Actual results: Transparent title bar

Expected results: Visible title bar

Comment 1 Conley Moorhous 2015-03-10 17:28:59 UTC
Created attachment 1000080 [details]
Busy workspace with title bar missing

Comment 2 Conley Moorhous 2015-03-10 17:29:49 UTC
Created attachment 1000081 [details]
Workspace with settings box selected and title bar visible

Comment 3 Conley Moorhous 2015-03-10 17:30:21 UTC
Created attachment 1000082 [details]
Workspace with calendar/time box selected

Comment 4 Conley Moorhous 2015-03-10 17:30:54 UTC
Created attachment 1000083 [details]
Applications overview with title bar visible

Comment 5 Matthias Clasen 2015-03-12 22:04:20 UTC
This is a mesa bug, fixe here:

http://lists.freedesktop.org/archives/mesa-dev/2015-February/078074.html

Comment 6 Conley Moorhous 2015-07-27 23:45:10 UTC
Closing way too late, sorry!


Note You need to log in before you can comment on or make changes to this bug.